<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>IMGLIB: Introduction</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="tilogo.gif"></a></td>
  <td bgcolor="red"><img src="titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.5.1-p1 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul></div>
<h1><a class="anchor" name="intro">Introduction</a></h1><a href="index.html" style="color: #ff0000;">Back</a><p>
<div></div><p>
<div>&nbsp;</div><p>
The Texas Instruments IMGLIB is an optimized Image/Video Processing Functions Library for C programmers using c64Px devices. It includes many C-callable, assembly-optimized, general-purpose image/video processing routines. These routines are typically used in computationally intensive real-time applications where optimal execution speed is critical.<p>
Using these routines assures execution speeds considerably faster than equivalent code written in standard ANSI C language. In addition, by providing ready-to-use DSP functions, TI IMGLIB can significantly shorten image/video processing application development time.<p>
<div></div><p>
<div>&nbsp;</div><h2><a class="anchor" name="features">
Features and Benefits</a></h2>
<div><table rules="none" frame="box" cellspacing="4" cellpadding="4" width="100%" style="border: 1px #000000 solid;" border="1">
<tr>
<td>The TI c64x+ IMGLIB contains commonly used digital signal processing routines, as well as source code that allows you to modify functions to match your specific needs.<p>
<ul>
<li>ANSI C source code models</li><li>C-callable routines fully compatible with the TI C6000 compiler</li><li>Host library to enable PC based development and testing</li><li>CCS projects to rebuild library or individual kernel unit test</li><li><a href="../../IMGLib_c64Px_TestReport.html" target="_blank">Benchmarks</a></li><li>Tested against reference C model</li><li>Test bench with reference input and output vectors </li></ul>
</td></tr>
</table>
</div><p>
<div>&nbsp;</div><h2><a class="anchor" name="routines">
Software Routines</a></h2>
<div><table rules="none" frame="box" cellspacing="4" cellpadding="4" width="100%" style="border: 1px #000000 solid;" border="1">
<tr>
<td>The rich set of software routines included in IMGLIB are organized into three functional categories:<p>
<ol type=1>
<li><a href="./imglib_html/cmpr_decmpr.html">Compression and Decompression</a></li><li><a href="./imglib_html/img_analysis.html">Image Analysis</a></li><li><a href="./imglib_html/flt_cnv.html">Image Filtering and Conversion</a> </li></ol>
</td></tr>
</table>
</div><p>
<div>&nbsp;</div><h2><a class="anchor" name="routines">
Software Routines</a></h2>
<div><table rules="none" frame="box" cellspacing="4" cellpadding="4" width="100%" style="border: 1px #000000 solid;" border="1">
<tr>
<td>A set of 22 low-level kernels are offered in Appendix A. These functions perform simple image operations such as addition, substraction, multiplication, etc. and are intended to be used as a starting point for developing more complex kernels. For detailed descriptions of each IMGLIB function see the <a href="./imglib_html/index.html">IMGLIB Function Reference</a>. </td></tr>
</table>
</div><p>
<div>&nbsp;</div> <hr size="1"><small>
Copyright  2012, Texas Instruments Incorporated</small>
</body>
</html>
